(function($) {  
  $.fn.zhu = function(options) {  
    debug(this.size());  
  var defaults = {  
    data:[],//[{image:'',data:22}]
     width:300,
    height:300,
    format:null
  };     
    var opts = $.extend({}, defaults, options);
    var str='';
    var zhuarr=[];
    
    for(var i=0;i<opts.data.length;i++){
    	if(opts.format!=null){
            d= opts.format(i,opts.data[i]['data']);
         }else d=opts.data[i]['data'];
        str+='<div class="zhubg"><div class="zhu zhux_zhu_'+i+'"></div><div class="zhuwz">'+d+'</div></div>';
        zhuarr.push(opts.data[i]['data']);  
    }   
    
    var zhumax=max(zhuarr);//600  0   100 0 
	   //比例
	    m=40/zhumax;
    $(this).html(str);
    //画柱 
      for(var i=0;i<opts.data.length;i++){
    	drawzhu($(this).find(".zhux_zhu_"+i),i,m,opts);   
      }
  }; 
  function max(arr){ 
      //最大值的下标，先假定为第一个元素的下标  
     var index = 0;  
     for(var x = 0; x < arr.length; x++){  
       
     if(parseFloat(arr[index]) < parseFloat(arr[x])){  
             index = x;  
         }     
     }  
     return arr[index];
};
function min(arr){
//最大值的下标，先假定为第一个元素的下标  
var index = 0;  
for(var x = 0; x < arr.length; x++){  

if(parseFloat(arr[index]) > parseFloat(arr[x])){  
    index = x;  
}     
}  
return arr[index];
};
//obj每一个柱体
  function drawzhu(obj,index,m,opts){ 
		//画柱状体 
		//var h=parseFloat(Math.random()*100).toFixed(0);
		//取出最大的柱体 	  
		     c="url("+opts.data[index]['image']+")";
			x=m*opts.data[index]['data']; 
			obj.css("background-image",c);
			x=parseInt(x);
//			debug(obj.attr("id")); 
			obj.animate({
	           height: x+'px'
	        }, 500);
			
  }; 
  // 私有函数：debugging  
  function debug($obj) {  
    if (window.console && window.console.log)  
      window.console.log('debug: ' + $obj);  
  };  
   
})(jQuery); 
 
